# H225_RegistrationRequest Class Reference

`#include <h225.h>`

Inheritance diagram for H225_RegistrationRequest:

List of all members.

## Public Types

enum

OptionalFields {
e_nonStandardData, e_terminalAlias, e_gatekeeperIdentifier, e_alternateEndpoints,
e_timeToLive, e_tokens, e_cryptoTokens, e_integrityCheckValue,
e_keepAlive, e_endpointIdentifier, e_willSupplyUUIEs, e_maintainConnection,
e_alternateTransportAddresses, e_additiveRegistration, e_terminalAliasPattern, e_supportsAltGK,
e_usageReportingCapability, e_multipleCalls, e_supportedH248Packages, e_callCreditCapability,
e_capacityReportingCapability, e_capacity, e_featureSet, e_genericData,
e_restart, e_supportsACFSequences, e_supportsAssignedGK, e_assignedGatekeeper,
e_transportQOS, e_language
}

## Public Member Functions

| H225_RegistrationRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_RequestSeqNum | m_requestSeqNum
H225_ProtocolIdentifier | m_protocolIdentifier
H225_NonStandardParameter | m_nonStandardData
PASN_Boolean | m_discoveryComplete
H225_ArrayOf_TransportAddress | m_callSignalAddress
H225_ArrayOf_TransportAddress | m_rasAddress
H225_EndpointType | m_terminalType
H225_ArrayOf_AliasAddress | m_terminalAlias
H225_GatekeeperIdentifier | m_gatekeeperIdentifier
H225_VendorIdentifier | m_endpointVendor
H225_ArrayOf_Endpoint | m_alternateEndpoints
H225_TimeToLive | m_timeToLive
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ICV | m_integrityCheckValue
PASN_Boolean | m_keepAlive
H225_EndpointIdentifier | m_endpointIdentifier
PASN_Boolean | m_willSupplyUUIEs
PASN_Boolean | m_maintainConnection
H225_AlternateTransportAddresses | m_alternateTransportAddresses
PASN_Null | m_additiveRegistration
H225_ArrayOf_AddressPattern | m_terminalAliasPattern
PASN_Null | m_supportsAltGK
H225_RasUsageInfoTypes | m_usageReportingCapability
PASN_Boolean | m_multipleCalls
H225_ArrayOf_H248PackagesDescriptor | m_supportedH248Packages
H225_CallCreditCapability | m_callCreditCapability
H225_CapacityReportingCapability | m_capacityReportingCapability
H225_CallCapacity | m_capacity
H225_FeatureSet | m_featureSet
H225_ArrayOf_GenericData | m_genericData
PASN_Null | m_restart
PASN_Null | m_supportsACFSequences
PASN_Boolean | m_supportsAssignedGK
H225_AlternateGK | m_assignedGatekeeper
H225_TransportQOS | m_transportQOS
H225_RegistrationRequest_language | m_language

## Member Enumeration Documentation

enum H225_RegistrationRequest::OptionalFields

Enumerator:

  e_nonStandardData |
  e_terminalAlias |
  e_gatekeeperIdentifier |
  e_alternateEndpoints |
  e_timeToLive |
  e_tokens |
  e_cryptoTokens |
  e_integrityCheckValue |
  e_keepAlive |
  e_endpointIdentifier |
  e_willSupplyUUIEs |
  e_maintainConnection |
  e_alternateTransportAddresses |
  e_additiveRegistration |
  e_terminalAliasPattern |
  e_supportsAltGK |
  e_usageReportingCapability |
  e_multipleCalls |
  e_supportedH248Packages |
  e_callCreditCapability |
  e_capacityReportingCapability |
  e_capacity |
  e_featureSet |
  e_genericData |
  e_restart |
  e_supportsACFSequences |
  e_supportsAssignedGK |
  e_assignedGatekeeper |
  e_transportQOS |
  e_language |

## Constructor & Destructor Documentation

H225_RegistrationRequest::H225_RegistrationRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_RegistrationRequest::GetDataLength | ( |  | ) | const

PBoolean H225_RegistrationRequest::Decode | ( | PASN_Stream & | strm | ) |

void H225_RegistrationRequest::Encode | ( | PASN_Stream & | strm | ) | const

void H225_RegistrationRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_RegistrationRequest::Compare | ( | const PObject & | obj | ) | const

PObject* H225_RegistrationRequest::Clone | ( |  | ) | const

## Member Data Documentation

H225_RequestSeqNum H225_RegistrationRequest::m_requestSeqNum

H225_ProtocolIdentifier H225_RegistrationRequest::m_protocolIdentifier

H225_NonStandardParameter H225_RegistrationRequest::m_nonStandardData

PASN_Boolean H225_RegistrationRequest::m_discoveryComplete

H225_ArrayOf_TransportAddress H225_RegistrationRequest::m_callSignalAddress

H225_ArrayOf_TransportAddress H225_RegistrationRequest::m_rasAddress

H225_EndpointType H225_RegistrationRequest::m_terminalType

H225_ArrayOf_AliasAddress H225_RegistrationRequest::m_terminalAlias

H225_GatekeeperIdentifier H225_RegistrationRequest::m_gatekeeperIdentifier

H225_VendorIdentifier H225_RegistrationRequest::m_endpointVendor

H225_ArrayOf_Endpoint H225_RegistrationRequest::m_alternateEndpoints

H225_TimeToLive H225_RegistrationRequest::m_timeToLive

H225_ArrayOf_ClearToken H225_RegistrationRequest::m_tokens

H225_ArrayOf_CryptoH323Token H225_RegistrationRequest::m_cryptoTokens

H225_ICV H225_RegistrationRequest::m_integrityCheckValue

PASN_Boolean H225_RegistrationRequest::m_keepAlive

H225_EndpointIdentifier H225_RegistrationRequest::m_endpointIdentifier

PASN_Boolean H225_RegistrationRequest::m_willSupplyUUIEs

PASN_Boolean H225_RegistrationRequest::m_maintainConnection

H225_AlternateTransportAddresses H225_RegistrationRequest::m_alternateTransportAddresses

PASN_Null H225_RegistrationRequest::m_additiveRegistration

H225_ArrayOf_AddressPattern H225_RegistrationRequest::m_terminalAliasPattern

PASN_Null H225_RegistrationRequest::m_supportsAltGK

H225_RasUsageInfoTypes H225_RegistrationRequest::m_usageReportingCapability

PASN_Boolean H225_RegistrationRequest::m_multipleCalls

H225_ArrayOf_H248PackagesDescriptor H225_RegistrationRequest::m_supportedH248Packages

H225_CallCreditCapability H225_RegistrationRequest::m_callCreditCapability

H225_CapacityReportingCapability H225_RegistrationRequest::m_capacityReportingCapability

H225_CallCapacity H225_RegistrationRequest::m_capacity

H225_FeatureSet H225_RegistrationRequest::m_featureSet

H225_ArrayOf_GenericData H225_RegistrationRequest::m_genericData

PASN_Null H225_RegistrationRequest::m_restart

PASN_Null H225_RegistrationRequest::m_supportsACFSequences

PASN_Boolean H225_RegistrationRequest::m_supportsAssignedGK

H225_AlternateGK H225_RegistrationRequest::m_assignedGatekeeper

H225_TransportQOS H225_RegistrationRequest::m_transportQOS

H225_RegistrationRequest_language H225_RegistrationRequest::m_language

The documentation for this class was generated from the following file:

- h225.h